# Administration Reference

## pts rename

Purpose

Changes the name of a Protection Database entry

Synopsis

    pts rename -oldname <old name>  -newname <new name>
               [-cell <cell name>]  [-noauth]  [-force]  [-help]

    pts ren -o <old name>  -ne <new name>  [-c <cell name>]  [-no]  [-f]  [-h]

Description

The pts rename command changes the name of the user, machine, or group entry specified by the -oldname argument to the name specified by the -newname argument. It is not possible to change a user or machine entry's name to look like a regular group entry's name (have a colon in it).

Members of the system:administrators group can change a regular group name into a prefix-less name and vice versa. When changing a prefix-less group name into a regular group name or a regular group name to another regular group name, the owner field of the new name (the part before the colon) must correctly reflect the group's owner.

Changing a regular group's owner with the pts chown command automatically changes the owner field (the part before the colon) of the group's name, but does not change the owner field of any groups owned by the group. Use this command to rename those groups to a form that accurately reflects their ownership.

Cautions

By convention, many aspects of an AFS user account have the same name as the user's Protection Database entry, including the Authentication Database entry, volume, and mount point. When using this command to change a user name, also change the names of all related entities to maintain consistency. For instructions, see the chapter on user accounts in the IBM AFS Administration Guide.

Options

-oldname
  Specifies the current full name of the entry.

-newname
  Specifies the new full name for the entry. For regular groups, the owner field (the part before the colon) of the new name must reflect the actual ownership of the group.

-cell
  Names the cell in which to run the command. For more details, see the introductory pts reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. For more details, see the introductory pts reference page.

-force
  Enables the command to continue executing as far as possible when errors or other problems occur, rather than halting execution at the first error.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example changes the name of the group staff, owned by the privileged user admin, to admin:staff:

       % pts rename -oldname staff -newname admin:staff

The following example changes the name of the group admin:finance to the group finance. The issuer must belong to the system:administrators group.

       % pts rename -oldname admin:finance -newname finance

Privilege Required

To change a regular group name to a prefix-less name or vice versa, or to change a user or machine entry's name, the issuer must belong to the system:administrators group.

To change a group name to a new name of the same type (regular or prefix-less), the issuer must own the group or belong to the system:administrators group.

Related Information

pts

pts chown

© IBM Corporation 2000. All Rights Reserved